##
## Process this file with automake to produce Makefile.in
##
## CVS ID: "$Id: Makefile.am,v 1.22 2006/03/01 13:30:38 marcs Exp $"
##
lib_LTLIBRARIES	= libpmrts.la

libpmrts_la_SOURCES = \
	../rts.c \
	../rtsio.h ../rtsio.c \
	../rtsopt.h ../rtsopt.c \
	../rtscode.h ../rtscode.c \
	../rtsagfl.h ../rtsagfl.c \
	../rtslex.h ../rtslex.c \
	../rtstime.h ../rtstime.c \
	../rtsesc.h ../rtsesc.c \
        ../posmemo.c ../posmemo.h \
	../../src/pattern.c ../../src/pattern.h \
	../../src/dfa.c ../../src/dfa.h \
	../../src/regex.c ../../src/regex.h

VERSION_FLAGS = $(subst .,:,$(VERSION))

libpmrts_la_LDFLAGS = -version-info $(VERSION_FLAGS)

## Define RTS for pattern.c
libpmrts_la_CFLAGS = @DBG_OPT@ @DEBUG_RTS_OPT@ -Wall -DPMRTS -DRTS $(AM_CFLAGS)
## -DDEBUG_INTERPRETER -DDEBUG_POSMEMO -DDEBUG_RTS

INCLUDES = -I$(top_srcdir)/libabase/src \
	   -I$(top_srcdir)/liblexicon/src \
	   -I$(top_srcdir)/gen/src \
	   -I$(top_srcdir)/gen/rts

AM_CFLAGS =
#AM_CFLAGS += -O0
#AM_CFLAGS += -DSTANDALONE_LEXER
#AM_CFLAGS += -DDEBUG_INTERPRETER
#AM_CFLAGS += -DDEBUG_POSMEMO
#AM_CFLAGS += -DDEBUG_IO
#AM_CFLAGS += -DDEBUG_TIME_OUT
#AM_CFLAGS += -DDEBUG_MEM
#AM_CFLAGS += -DDEBUG_SCANNER

EXTRA_DIST = Makefile.cygwin
